package ogloszenia.klient_niskopoziomowy;

import javax.xml.transform.*;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

public class Utils {
    private TransformerFactory tf = TransformerFactory.newInstance();

    public void wypiszTransformerem(Source src) {
        try {
            Transformer transformer = tf.newTransformer();
            transformer.setOutputProperty(OutputKeys.INDENT, "yes");
            StreamResult res = new StreamResult(System.out);
            transformer.transform(src, res);
        } catch (TransformerException e) {
            throw new RuntimeException(e);
        }
    }

    public void xslt(Source src, String arkusz, String wyjscie) {
        try {
            Transformer transformer = tf.newTransformer(new StreamSource(arkusz));
            transformer.setOutputProperty(OutputKeys.INDENT, "yes");
            StreamResult res = new StreamResult(wyjscie);
            transformer.transform(src, res);
        } catch (TransformerException e) {
            throw new RuntimeException(e);
        }
    }

    public void czekaj(long milis) {
        try {
            Thread.sleep(milis);
        } catch (InterruptedException e) {
            System.err.println(e);
        }
    }
}
